module MedelaBstAndroidExcel2xml
  class Application < Thor

    desc 'generate XLSX_PATH', 'generate xml files from specified excel file'
    long_desc <<-LONGDESC
    Generate android xml language files based on an excel import file. The excel file must be in the new .xlsx format.

    With --out option, an output directory can be specified, without this option the current directory is used.

    With --lang option, specific languages can be generated, the default generates files for all found languages.

    Example usage:

    generate labels.xlsx --lang=de en fr

    LONGDESC
    option :out, type: :string, banner: '<output directory>'
    option :lang, type: :array, banner: '<language1,language2,...>'

    def generate(xlsx_path)

      converter = Converter.new(xlsx_path)
      converter.destination_path = options[:out] if options[:out]
      converter.languages = options[:lang] if options[:lang]
      converter.run
    end
  end
end